Skip to main content
POST
/
approval_requests
/
{id}
:resolve
Resolve approval request
curl --request POST \
  --url https://api.akua.dev/v1/approval_requests/{id}:resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'idempotency-key: <idempotency-key>' \
  --header 'if-match: <if-match>' \
  --data '
{
  "reason": "<string>"
}
'
{
  "id": "<string>",
  "workspace_id": "<string>",
  "agent_id": "<string>",
  "session_id": "<string>",
  "turn_id": "<string>",
  "title": "<string>",
  "summary": "<string>",
  "created_by": "<string>",
  "created_at": 1,
  "updated_at": 1,
  "etag": "<string>",
  "actions": []
}

Documentation Index

Fetch the complete documentation index at: https://akua-1dce587a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

if-match
string
required

The etag of the resource version the client last read. Required on writes when the resource exposes an etag field. Mismatch returns 409 ABORTED with the current etag in the error metadata.

Required string length: 1 - 256
Example:

"42"

idempotency-key
string
required
Required string length: 1 - 64

Path Parameters

id
string
required
Required string length: 1 - 54

Body

application/json
decision
enum<string>
required
Available options:
APPROVE,
REJECT
reason
string
Required string length: 1 - 2000

Response

Approval request resolved

id
string
required
Required string length: 1 - 54
workspace_id
string
required
Required string length: 1 - 53
agent_id
string
required
Required string length: 1 - 54
session_id
string
required
Required string length: 1 - 54
turn_id
string
required
Required string length: 1 - 54
state
enum<string>
required
Available options:
PENDING,
APPROVED,
REJECTED
title
string
required
summary
string
required
created_by
string
required
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required
actions
any[]